function [] = updateWorkspaceOffsetsTable()
%UPDATEOFFSETSTABLE Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;

%% Check if track parameter already exist
if ~artoa.data.hasMember(artoaWorkspace, {'trackParameter'})
    return;
end

%% Prepare required variables
soundsources = artoa.controller.getSoundsourcesWithAppliedToa();
workspaceOffsets = artoaWorkspace.trackParameter.soundsourceOffsets;

%% Initialize if not available
if ~artoa.data.hasMember(artoaWorkspace, {'trackParameter', 'soundsourceOffsets'})
    % initialize sound source offsets
    artoaWorkspace.trackParameter.soundsourceOffsets = ...
        artoa.offsets.generateOffsetTable(soundsources);
end

%% Add every soundsource
fnames = fieldnames(soundsources);
for i = 1:length(fnames)
    workspaceOffsets = artoa.offsets.addSoundsource( ...
        workspaceOffsets, ...
        soundsources.(fnames{i}) ...
    );
end

%% Check if there are soundsources that should be removed
rowNames = workspaceOffsets.Properties.RowNames;
for i = 1:length(rowNames)
    if any(strcmp(rowNames{i}, fnames)) || strcmp(rowNames{i}, 'Float')
        continue;
    end
    workspaceOffsets = artoa.offsets.removeSoundsource( ...
        workspaceOffsets, ...
        rowNames{i} ...
    );
end

artoaWorkspace.trackParameter.soundsourceOffsets = workspaceOffsets;