function [toa] = calculateToaAtTimestep(pToa, pTimestep, pStartOffset, pDrift)
%CALCULATETOAATTIMESTEP Calculates the TOA at the given timestep.
%   Calculates the new TOA at the given timestep.
%
%   Parameters:
%       pToa (double):          The start TOA.
%       pTimestep (double):     The timestep from start of the soundsource
%                               in rafos days.
%       pStartOffset (double):  The start offset of the soundsource.
%       pDrift (double):        The drift of the soundsource in seconds per day.

%% Calculate new toa
toa = pToa + pStartOffset + pDrift * pTimestep;

end

