function [toaData] = recalculateToaData(pToaData, pAppliedSoundsources, pOffsetsTable)
%RECALCULATETOADATA Summary of this function goes here
%   Detailed explanation goes here

%% Prepare return variable
toaData = pToaData;

%% Add float offset
toaData = artoa.data.addFloatDrift( ...
    toaData, ...
    pOffsetsTable{'Float', 'Begin'}, ...
    pOffsetsTable{'Float', 'End'} ...
);

%% Calculate soundsources
fnames = fieldnames(pAppliedSoundsources);
for i = 1:length(fnames)
    toaLogical = strcmp(fnames{i}, toaData.soundSource);
    toaDate = toaData.toaDate(toaLogical);
    toa = toaData.toa(toaLogical);
    % calculate drift of soundsource
    drift = artoa.soundsources.calculateDrift( ...
        min(toaDate), ...
        max(toaDate), ...
        pOffsetsTable{fnames{i}, 'Begin'}, ...
        pOffsetsTable{fnames{i}, 'End'} ...
    );
    for o = 1:length(toa)
        toa(o) = artoa.soundsources.calculateToaAtTimestep( ...
            toa(o), ...
            toaDate(o) - min(toaDate), ...
            pOffsetsTable{fnames{i}, 'Begin'}, ...
            drift ...
        );
    end
    toaData.toa(toaLogical) = toa;
end

end

